<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Техподдержка</b><br/>";

if(empty($_GET[t])){
echo"За флуд,спам,рекламу и оскорбление администрации - вы будете заблокированы.<br/>";
$w1=mysql_fetch_array(qw("SELECT data FROM tehlim WHERE login='$re0[login]'"));
$t1=time();$t2=$w1[data];$t3=$t1-$t2;
if($t3>1800){
echo'<FORM ACTION="tehp.php?t=1&der='.$key.'" METHOD="POST">';
echo '
<select name="typ">
<option value="0" >Вопрос по игре</option>
<option value="1" >Ошибки/глюки</option>
<option value="2" >Проверка соседей</option>
<option value="3" >Жалоба на модеров</option>
<option value="4" >Предложения по игре</option>
</select><br/>';?>
Введите текст:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Отправить'>
</FORM><br/><?
}else{
$at2=1800-$t3;
$sec2=$at2;$hou2=floor($sec2/3600);$sec2-=$hou2*3600;$min2=floor($sec2/60);$sec2-=$min2*60;
echo"Обращение в техподдержку не чаще 1 раза в 30 минут.<br/>Подождите($hou2 час.$min2 мин.$sec2 сек.)<br/>";
}
}
if($_GET[t]==1){
$w1=mysql_fetch_array(qw("SELECT data FROM tehlim WHERE login='$re0[login]'"));
$t1=time();$t2=$w1[data];$t3=$t1-$t2;
if($t3>1800){
if(empty($_POST[name])){echo"Вы не ввели текст<br/>";}else{
$text=text($_POST[name]);$typ=zif($_POST[typ]);
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");$tim=time();
qw("DELETE FROM tehlim WHERE login='$re0[login]'");
mysql_query("INSERT INTO tehno (vid,data,strana,login,text) VALUES('$typ','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$re0[login]','$text')");
mysql_query("INSERT INTO tehlim (data,login) VALUES('$tim','$re0[login]')");

}
}else{
$at2=1800-$t3;
$sec2=$at2;$hou2=floor($sec2/3600);$sec2-=$hou2*3600;$min2=floor($sec2/60);$sec2-=$min2*60;
echo"Обращение в техподдержку не чаще 1 раза в 30 минут.<br/>Подождите($hou2 час.$min2 мин.$sec2 сек.)<br/>";
}
}
if($_GET[t]==2){
echo"Сообщение в техподдержку отправлено!<br/>";
}

echo"<a href=../game.php?der=$key>В страну</a>";
require'../sys/foot.php';
?>